# FileName_Prepare.ps1
# ファイル名変更に対する事前処理
#   dataは連想配列になっている。
#   ファイル名に使用するデータに加えたい変更などがあればここに記述する。
#   ここで書き換えた情報はファイル名生成時にのみ使用され、タグ情報などへは反映されない。タグ情報にも反映したい場合はTitleInfo_Prepareで。
#
# パラメータ
Param($data)
# 例外が起きたらそこで止める
$ErrorActionPreference = "stop"
# Write-Verboseを記録する
$VerbosePreference = "continue"

try
{
    $result = $data.Clone()

    ##### カスタマイズスクリプトを読み込む(存在する場合)
    $customize = Join-Path (Split-Path $MyInvocation.MyCommand.Path -parent) "FileName_Prepare_customize.ps1"

    if(Test-Path $customize)
    {
        . ($customize)
    }

}
catch
{
    # 例外を起こしたら元に戻す
    $result = $data.Clone()

    # エラーメッセージを出力する。
    $error[0] | Out-string | Write-Verbose
}

return $result